package com.bohuikeji.delivery.backstage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.bohuikeji.frame.module.admin.annotation.TableNewField;
import com.bohuikeji.frame.module.admin.annotation.TableQueryField;
import com.bohuikeji.frame.module.admin.annotation.TableShowField;
import com.bohuikeji.frame.module.admin.base.EntityBase;
import com.bohuikeji.frame.module.admin.entity.web.block.FileBlock;
import com.bohuikeji.frame.module.admin.entity.web.block.TextBlock;
import com.bohuikeji.frame.module.admin.enums.ColumnTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 招商加盟入驻文字说明
 * </p>
 * @author 10552
 * @since 2019-08-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value="TCarouselExplain对象", description="招商加盟入驻文字说明")
@TableName("t_carousel_explain")
public class TCarouselExplain extends EntityBase<TCarouselExplain> {

    @ApiModelProperty(value="说明id")
    @TableId(value = "explain_id", type = IdType.AUTO)
    @TableShowField(value = "ID",id = true)
    @TableNewField(show = false)
    private Integer explainid;

    @ApiModelProperty(value = "说明内容")
    @TableField("explain_content")
    @TableQueryField(show = false)
    @TableShowField(value = "说明内容")
    @TableNewField(block = TextBlock.class)
    private String explainContent;

    @ApiModelProperty(value = "功能备注")
    @TableField("func_remark")
    @TableShowField(value = "功能备注")
    @TableNewField()
    @TableQueryField(like = false)
    private String funcRemark;

    @ApiModelProperty(value = "说明编号")
    @TableField("explain_num")
    @TableShowField(value = "说明编号")
    @TableNewField()
    @TableQueryField(like = false)
    private String explainNum;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    @TableShowField(value = "创建时间",show = false)
    private LocalDateTime createTime=LocalDateTime.now();

}
