package com.bohuikeji.delivery.backstage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.bohuikeji.frame.module.admin.annotation.TableKeyField;
import com.bohuikeji.frame.module.admin.annotation.TableNewField;
import com.bohuikeji.frame.module.admin.annotation.TableQueryField;
import com.bohuikeji.frame.module.admin.annotation.TableShowField;
import com.bohuikeji.frame.module.admin.base.EntityBase;
import com.bohuikeji.frame.module.admin.entity.web.block.SelectBlock;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 配送员入驻缴费记录
 * </p>
 *
 * @author 10552
 * @since 2019-12-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value="TCourierPay对象", description="配送员入驻缴费记录")
public class TCourierPay extends EntityBase<TCourierPay> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "自增id")
    @TableId(value = "courier_pay_id", type = IdType.AUTO)
    @TableShowField(value = "ID",id = true)
    @TableNewField(show = false)
    private Integer courierPayId;

    @ApiModelProperty(value = "付款骑手")
    @TableField("player_id")
    @TableShowField(value = "付款骑手",show = true)
    @TableNewField(edit = false,block = SelectBlock.class)
    @TableKeyField(table = "t_courier",keyShowFields = {"courier_name","courier_phone"},keyLikeFields = {"courier_name","courier_phone"},key = TCourier.class)
    @TableQueryField(like = false,sort = 0.1)
    private Integer playerId;

    @ApiModelProperty(value = "支付单号")
    @TableField("pay_num")
    @TableShowField("支付单号")
    @TableNewField(edit = false)
    @TableQueryField(show = false)
    private String payNum;

    @ApiModelProperty(value = "付款方式")
    @TableField("pay_way")
    @TableShowField("付款方式")
    @TableNewField(edit = false)
    @TableQueryField(like = false)
    private String payWay;

    @ApiModelProperty(value = "支付预估总价")
    @TableField("pay_expect_price")
    @TableShowField(value = "支付预估金额(￥)",show = false)
    @TableNewField(edit = false)
    private BigDecimal payExpectPrice=new BigDecimal("0.00").setScale(2, BigDecimal.ROUND_DOWN);

    @ApiModelProperty(value = "实际支付总价")
    @TableField("pay_fact_price")
    @TableShowField("实际支付金额(￥)")
    @TableNewField(edit = false)
    private BigDecimal payFactPrice=new BigDecimal("0.00").setScale(2, BigDecimal.ROUND_DOWN);

    @ApiModelProperty(value = "支付状态(待支付,已支付,取消支付)")
    @TableField("pay_status")
    @TableShowField("支付状态")
    @TableNewField(edit = false)
    @TableQueryField(like = false)
    private String payStatus;

    @ApiModelProperty(value = "付款渠道")
    @TableField("pay_channel")
    @TableShowField(value = "付款渠道",show = false)
    @TableNewField(edit = false)
    @TableQueryField(like = false)
    private String payChannel;

    @ApiModelProperty(value = "渠道商单号(微信,支付宝，银联等第三方单号)")
    @TableField("pay_channel_num")
    @TableShowField("渠道商单号")
    @TableNewField(edit = false)
    @TableQueryField(show = false)
    private String payChannelNum;

    @ApiModelProperty(value = "交易创建时间")
    @TableField("create_time")
    @TableShowField(value = "交易发起时间",show = false)
    @TableNewField(edit = false)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "支付时间")
    @TableField("pay_time")
    @TableShowField("支付时间")
    @TableNewField(edit = false)
    @TableQueryField(sort = 0,like = false)
    private LocalDateTime payTime;

    @ApiModelProperty(value = "支付场景")
    @TableField("pay_scenario")
    @TableShowField("支付场景")
    @TableNewField(edit = false)
    @TableQueryField(like = false)
    private String payScenario;


}
