package com.bohuikeji.delivery.backstage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.bohuikeji.frame.module.admin.annotation.TableNewField;
import com.bohuikeji.frame.module.admin.annotation.TableShowField;
import com.bohuikeji.frame.module.admin.base.EntityBase;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 骑手保险记录表
 * </p>
 *
 * @author 10552
 * @since 2021-05-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value="TCourierSaveDetail对象", description="骑手保险记录表")
public class TCourierSaveDetail extends EntityBase<TCourierSaveDetail> {

    private static final long serialVersionUID = 1L;

    @TableShowField(value = "ID",id = true)
    @TableNewField(show = false)
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建时间")
    @TableField("gmt_create")
    @TableShowField("创建时间")
    @TableNewField
    private LocalDateTime gmtCreate;

    @ApiModelProperty(value = "更新时间")
    @TableField("gmt_update")
    @TableShowField("更新时间")
    @TableNewField
    private LocalDateTime gmtUpdate;

    @ApiModelProperty(value = "投保骑手id")
    @TableField("courier_id")
    @TableShowField("投保骑手id")
    @TableNewField
    private Integer courierId;

    @ApiModelProperty(value = "投保人姓名(投保时)")
    @TableField("courier_name")
    @TableShowField("投保人姓名(投保时)")
    @TableNewField
    private String courierName;

    @ApiModelProperty(value = "投保骑手身份证(投保时)")
    @TableField("courier_card")
    @TableShowField("投保骑手身份证(投保时)")
    @TableNewField
    private String courierCard;

    @ApiModelProperty(value = "保费支付地址")
    @TableField("pay_url")
    @TableShowField("保费支付地址")
    @TableNewField
    private String payUrl;

    @ApiModelProperty(value = "骑手支付金额")
    @TableField("courier_pay")
    @TableShowField("骑手支付金额")
    @TableNewField
    private BigDecimal courierPay;

    @ApiModelProperty(value = "投保单号")
    @TableField("proposal_no")
    @TableShowField("投保单号")
    @TableNewField
    private String proposalNo;

    @ApiModelProperty(value = "骑手支付渠道")
    @TableField("courier_pay_channel")
    @TableShowField("骑手支付渠道")
    @TableNewField
    private String courierPayChannel;

    @ApiModelProperty(value = "骑手支付渠道单号")
    @TableField("courier_pay_number")
    @TableShowField("骑手支付渠道单号")
    @TableNewField
    private String courierPayNumber;

    @ApiModelProperty(value = "通知单号")
    @TableField("notice_no")
    @TableShowField("通知单号")
    private String noticeNo;

    @ApiModelProperty(value = "平台补贴支付金额")
    @TableField("platform_pay")
    @TableShowField("平台补贴支付金额")
    @TableNewField
    private BigDecimal platformPay;

    @ApiModelProperty(value = "平台补贴渠道")
    @TableField("platform_pay_channel")
    @TableShowField("平台补贴渠道")
    @TableNewField
    private String platformPayChannel;

    @ApiModelProperty(value = "平台补贴渠道单号")
    @TableField("platform_pay_number")
    @TableShowField("平台补贴渠道单号")
    @TableNewField
    private String platformPayNumber;

    @ApiModelProperty(value = "保费")
    @TableField("insured_premium")
    @TableShowField("保费")
    @TableNewField
    private BigDecimal insuredPremium;

    @ApiModelProperty(value = "保额")
    @TableField("insured_amount")
    @TableShowField("保额")
    @TableNewField
    private BigDecimal insuredAmount;

    @ApiModelProperty(value = "保险单号")
    @TableField("insured_number")
    @TableShowField("保险单号")
    @TableNewField
    private String insuredNumber;

    @ApiModelProperty(value = "承保公司")
    @TableField("insured_company")
    @TableShowField("承保公司")
    @TableNewField
    private String insuredCompany;

    @ApiModelProperty(value = "保险生效时间")
    @TableField("insured_start_time")
    @TableShowField("保险生效时间")
    @TableNewField
    private LocalDateTime insuredStartTime;

    @ApiModelProperty(value = "保险结束时间")
    @TableField("insured_end_time")
    @TableShowField("保险结束时间")
    @TableNewField
    private LocalDateTime insuredEndTime;

    @ApiModelProperty(value = "投保日期")
    @TableField("insured_date")
    @TableShowField("投保日期")
    @TableNewField
    private LocalDate insuredDate;

    @ApiModelProperty(value = "电子保单下载地址")
    @TableField("pdf_url")
    @TableShowField("电子保单下载地址")
    @TableNewField
    private String pdfUrl;

    @ApiModelProperty(value = "状态(等待支付,投保成功,投保失败)")
    @TableField("status")
    @TableShowField("状态(等待支付,投保成功,投保失败)")
    @TableNewField
    private String status;


}
