package com.bohuikeji.delivery.backstage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.bohuikeji.frame.module.admin.annotation.TableNewField;
import com.bohuikeji.frame.module.admin.annotation.TableShowField;
import com.bohuikeji.frame.module.admin.base.EntityBase;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

@Data
@Accessors(chain = true)
@TableName("t_driving_licence")
@ApiModel(value="TDrivingLicence对象", description="派送员驾驶证管理表")
public class TDrivingLicence extends EntityBase<TDrivingLicence> {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value="驾驶证id(新增时请留空或null)")
    @TableId(value = "driving_id", type = IdType.AUTO)
    @TableShowField(value = "ID",id = true)
    @TableNewField(show = false)
    private Integer drivingId;

    @TableField("driving_num")
    @TableShowField("准驾号")
    @TableNewField
    private Long drivingNum;

    @TableField("driving_type")
    @TableShowField("准驾车型")
    @TableNewField
    private String drivingType;

    @TableField("config_id")
    @TableShowField("数据字典id")
    @TableNewField
    private Integer config_id;

    @TableField("courier_id")
    @TableShowField("骑手id")
    @TableNewField
    private int courierId;
    /* driving_picture */

    @TableField("driving_picture")
    @TableShowField("驾照照片")
    @TableNewField
    private String drivingPicture;

    @TableField("create_date")
    @TableShowField("提交时间")
    @TableNewField
    private LocalDateTime createDate;

}
