package com.bohuikeji.delivery.backstage.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.bohuikeji.frame.module.admin.annotation.TableKeyField;
import com.bohuikeji.frame.module.admin.annotation.TableQueryField;
import com.bohuikeji.frame.module.admin.base.EntityBase;
import com.baomidou.mybatisplus.annotation.TableField;
import com.bohuikeji.frame.module.admin.annotation.TableShowField;
import com.bohuikeji.frame.module.admin.annotation.TableNewField;
import com.bohuikeji.frame.module.admin.entity.web.block.SelectBlock;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 评价记录明细表
 * </p>
 *
 * @author 10552
 * @since 2019-08-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value="TEvaluateDetailed对象", description="评价记录明细表")
@TableName("t_evaluate_detailed")
public class TEvaluateDetailed extends EntityBase<TEvaluateDetailed> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value="评价详细记录id(新增时请留空或null)")
    @TableId(value = "detailed_id", type = IdType.AUTO)
    @TableShowField(value = "ID",id = true)
    @TableNewField(show = false)
    private Integer detailedId;

    @ApiModelProperty(value = "评价记录id")
    @TableField(value = "evaluate_id")
    @TableShowField(value = "所属评价",show = false)
    @TableKeyField(table = "t_evaluate",keyShowFields = "order_num",keyLikeFields = "order_num")
    @TableNewField(show = false)
    @TableQueryField()
    private Integer evaluateId;

    @ApiModelProperty(value = "评分项名称")
    @TableField("scoring_items")
    @TableShowField("评分项名称")
    @TableNewField(block = SelectBlock.class)
    @TableQueryField
    private String scoringItems;

    @ApiModelProperty(value = "评分项权重")
    @TableField("scoring_weight")
    @TableShowField("评分项权重")
    @TableNewField
    private Integer scoringWeight;

    @ApiModelProperty(value = "评分项原始分支")
    @TableField("original_score")
    @TableShowField("评分项原始分支")
    @TableNewField
    private Integer originalScore;

    @ApiModelProperty(value = "评分单项计算分值")
    @TableField("calculating_score")
    @TableShowField("评分单项计算分值")
    @TableNewField
    private Integer calculatingScore;



}
