package com.bohuikeji.delivery.backstage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.bohuikeji.frame.module.admin.annotation.TableNewField;
import com.bohuikeji.frame.module.admin.annotation.TableQueryField;
import com.bohuikeji.frame.module.admin.annotation.TableShowField;
import com.bohuikeji.frame.module.admin.base.EntityBase;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 支付交易信息表
 * </p>
 *
 * @author 10552
 * @since 2019-12-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value="TPay对象", description="支付交易信息表")
public class TPay extends EntityBase<TPay> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "自增id")
    @TableId(value = "pay_id", type = IdType.AUTO)
    @TableShowField(value = "ID",id = true)
    @TableNewField(show = false)
    private Integer payId;

    @ApiModelProperty(value = "支付单号")
    @TableField("pay_num")
    @TableShowField("支付单号")
    @TableNewField(edit = false)
    @TableQueryField(show = false)
    private String payNum;

    @ApiModelProperty(value = "付款方式")
    @TableField("pay_way")
    @TableShowField("付款方式")
    @TableNewField(edit = false)
    @TableQueryField(like = false)
    private String payWay;

    @ApiModelProperty(value = "下单用户Id")
    @TableField("player_id")
    /*@TableShowField(value = "下单用户",show = false)
    @TableNewField(edit = false,block = SelectBlock.class)
    @TableKeyField(table = "t_customer",keyShowFields = {"customer_name"},keyLikeFields = "customer_name")
    @TableQueryField(like = false,sort = 0.1)*/
    private Integer playerId;

    @ApiModelProperty(value = "订单Id")
    @TableField("order_id")
    @TableShowField(value = "订单Id")
    @TableNewField(edit = false)
    @TableQueryField(show = false)
    private Integer orderId;

    @ApiModelProperty(value = "商户单号（支付的订单号）")
    @TableField("merchant_num")
    @TableShowField(value = "订单号")
    @TableNewField(edit = false)
    @TableQueryField(show = false)
    private String merchantNum;

    @ApiModelProperty(value = "支付预估总价")
    @TableField("pay_expect_price")
    @TableShowField(value = "支付预估金额(￥)",show = false)
    @TableNewField(edit = false)
    private BigDecimal payExpectPrice=new BigDecimal("0.00").setScale(2, BigDecimal.ROUND_DOWN);

    @ApiModelProperty(value = "实际支付总价")
    @TableField("pay_fact_price")
    @TableShowField("实际支付金额(￥)")
    @TableNewField(edit = false)
    @TableQueryField(show = false)
    private BigDecimal payFactPrice=new BigDecimal("0.00").setScale(2, BigDecimal.ROUND_DOWN);

    @ApiModelProperty(value = "支付状态(待支付,已支付,取消支付)")
    @TableField("pay_status")
    @TableShowField("支付状态")
    @TableNewField(edit = false)
    @TableQueryField(like = false)
    private String payStatus;

    @ApiModelProperty(value = "付款渠道")
    @TableField("pay_channel")
    @TableShowField(value = "付款渠道",show = false)
    @TableNewField(edit = false)
    @TableQueryField(like = false)
    private String payChannel;

    @ApiModelProperty(value = "渠道商单号(微信,支付宝，银联等第三方单号)")
    @TableField("pay_channel_num")
    @TableShowField("渠道商单号")
    @TableNewField(edit = false)
    @TableQueryField(show = false)
    private String payChannelNum;

    @ApiModelProperty(value = "交易创建时间")
    @TableField("create_time")
    @TableShowField(value = "交易发起时间",show = false)
    @TableNewField(edit = false)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "支付时间")
    @TableField("pay_time")
    @TableShowField("支付时间")
    @TableNewField(edit = false)
    @TableQueryField(sort = 0,like = false)
    private LocalDateTime payTime;

    @ApiModelProperty(value = "支付场景")
    @TableField("pay_scenario")
    @TableShowField("支付场景")
    @TableNewField(edit = false)
    @TableQueryField(like = false)
    private String payScenario;

    @ApiModelProperty(value = "支付方式（客户支付、骑手代付）")
    @TableField("pay_method")
    @TableShowField("支付方式")
    @TableNewField(edit = false)
    @TableQueryField(like = false)
    private String payMethod;

    @ApiModelProperty(value = "最终实际")
    @TableField(exist = false) //不为数据库字段
    private BigDecimal actualPrice=new BigDecimal("0.00").setScale(2, BigDecimal.ROUND_DOWN);


}
