package com.bohuikeji.delivery.backstage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.bohuikeji.frame.module.admin.annotation.TableNewField;
import com.bohuikeji.frame.module.admin.annotation.TableQueryField;
import com.bohuikeji.frame.module.admin.annotation.TableShowField;
import com.bohuikeji.frame.module.admin.base.EntityBase;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 *第三方骑手信息表
 * @author 孙劲辉
 * @since 2021-11-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value="第三方骑手信息表", description="第三方骑手信息表")
@TableName("t_third_info")
public class TThirdInfo extends EntityBase<TThirdInfo> {

    @ApiModelProperty(value="自增ID")
    @TableId(value = "id", type = IdType.AUTO)
    @TableShowField(value = "ID",id = true)
    @TableNewField(show = false)
    private Integer id;

    @TableField("gmt_create")
    @TableQueryField(show = true)
    @TableNewField(edit = false)
    @TableShowField(value = "创建时间")
    private LocalDateTime gmtCreate;

    @TableField("gmt_modified")
    @TableQueryField(show = true)
    @TableNewField(edit = false)
    @TableShowField(value = "最后一次更新时间")
    private LocalDateTime gmtModified;

    @TableField("third_name")
    @TableQueryField(show = true)
    @TableNewField(edit = false)
    @TableShowField(value = "第三方名称")
    private String thirdName;

    @TableField("courier_name")
    @TableQueryField(show = true)
    @TableNewField(edit = false)
    @TableShowField(value = "骑手名称")
    private String courierName;

    @TableField("courier_phone")
    @TableQueryField(show = true)
    @TableNewField(edit = false)
    @TableShowField(value = "骑手电话")
    private String courierPhone;

}
