package com.bohuikeji.delivery.backstage.entity.socket;

import com.bohuikeji.frame.module.admin.base.SuperBase;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * Socket通知实体
 * @author MasterBoot
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class AdminNotice extends SuperBase {
    /**
     * 通知地址
     */
    private static final String URL="/socket/client/admin/notice/";
    /**
     * 消息接受加盟商
     */
    Integer franId=1;
    /**
     * 消息文本
     */
    String text;
    /**
     * 消息类型
     */
    String type="info";

    /**
     * 音频
     */
    String audio;

    /**
     * 是否需要刷新页面
     */
    boolean refresh=false;

    /**
     * 获取客户端通知地址
     * @return
     */
    public String getUrl() {
        return URL+franId;
    }

    public AdminNotice(String text){
        this.text=text;
    }

}
