package com.bohuikeji.delivery.backstage.entity.wx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.bohuikeji.frame.module.admin.base.EntityBase;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import java.time.LocalDateTime;

/**
 * @author 孙劲辉
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value="用户微信账户信息表", description="用户微信账户信息表")
@TableName("t_wx_user")
public class TWxUser extends EntityBase<TWxUser> {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    @ApiModelProperty(value = "创建时间")
    @TableField("gmt_create")
    private LocalDateTime gmtCreate;
    @ApiModelProperty(value = "最后一次更新时间")
    @TableField("gmt_modified")
    private LocalDateTime gmtModified;
    @ApiModelProperty(value = "用户ID")
    @TableField("user_id")
    private Long userId;
    @ApiModelProperty(value = "用户类型")
    @TableField("user_type")
    private String userType;
    @ApiModelProperty(value = "微信APPID")
    @TableField("wx_app_id")
    private String wxAppId;
    @ApiModelProperty(value = "微信应用名称")
    @TableField("wx_app_name")
    private String wxAppName;
    @ApiModelProperty(value = "微信应用类型")
    @TableField("wx_app_type")
    private String wxAppType;
    @ApiModelProperty(value = "微信账户openid")
    @TableField("wx_user_openid")
    private String wxUserOpenid;
    @ApiModelProperty(value = "微信账户unionid")
    @TableField("wx_user_unionid")
    private String wxUserUnionid;
    @TableField("wx_user_sessionkey")
    private String wxUserSessionkey;
}
