package com.bohuikeji.delivery.backstage.service;

import com.bohuikeji.delivery.backstage.entity.TCustomerTemplate;
import com.bohuikeji.frame.module.admin.base.ServiceBase;

import java.util.List;

/**
 * <p>
 * 客户计费模板定义表 服务类
 * </p>
 *
 * @author 10552
 * @since 2021-01-29
 */
public interface ITCustomerTemplateService extends ServiceBase<TCustomerTemplate> {

    /**
     * 查询组
     * @param groupKey
     * @param franId
     * @param templateCode
     * @return
     */
    public List<TCustomerTemplate> getListByGroup(String groupKey,Integer franId,String templateCode);

    /**
     * 查询KEY
     * @param configKey
     * @param franId
     * @param templateCode
     * @return
     */
    public TCustomerTemplate getConfigByKey(String configKey,Integer franId,String templateCode);

    /**
     * 查询开放平台的客户计费模板
     * 【注】如果存在多条，只返回第一条
     * @param templateCode 模板号
     * @param groupKey 配置组Key
     * @return
     */
    public TCustomerTemplate getOpenConfigByCode(Object templateCode, String groupKey);

    public TCustomerTemplate getOpenConfigByCodetwo(Object templateCode, String groupKey,String confiogName);

    /**
     * 查询溢价组
     * @param groupKey
     * @param franId
     * @param templateCode
     * @return
     */
    public List<TCustomerTemplate> getPremiumListByGroup(String groupKey,Integer franId,String templateCode);


}
