package com.bohuikeji.frame.module.admin.base;

import org.springframework.stereotype.Service;

import java.io.IOException;

/**
 * 消息监器
 * @author Admin
 */
public abstract class MqListener<T> {

    /**
     * 接收到消息会调用此方法
     * @param msg 消息体
     * @return 【保留返回值】暂无实际用途，后续可能用于支持消息失败重试
     */
    public abstract boolean onReceive(T msg) throws Exception;

    /**
     * 当消费者业务代码出现异常时会调用该方法
     * @param msg 消息体
     * @param e 异常信息
     */
    public abstract void onError(T msg,Exception e);

}
